<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!--  
<script type="text/javascript" src="js/jquery.js"></script>
<link rel="stylesheet" type="text/css" media="screen"
	href="css/displaytag.css" />
-->


<table class="table" id="articleList" width="500">
	<thead>
		<tr>
			<th>Id</th>
			<th>Symbolic Name</th>
			<th>Name</th>
			<th>Version</th>
			<th>State</th>
		</tr>
	</thead>
	<tbody>
		<c:forEach var="plugin" items="${plugins}" varStatus="status">
			<c:set var="impar">
				<c:if test="${status.count%2==1}">even</c:if>
				<c:if test="${status.count%2==0}">odd</c:if>
			</c:set>
			<c:set var="state">
				<c:if test="${plugin.state==4}"><a onclick="javascript:asyncStartCall(${plugin.id});"><img border="0" src="images/unavailable.png" alt="RESOLVED" title="RESOLVED"/></a></c:if>
				<c:if test="${plugin.state==32}"><a onclick="javascript:asyncStopCall(${plugin.id});"><img border="0" src="images/available.png" alt="ACTIVE" title="ACTIVE"/></a></c:if>
			</c:set>
			<tr class="${impar}">
				<td>${plugin.id}</td>
				<td>${plugin.symbolicName}</td>
				<td>${plugin.name}</td>
				<td>${plugin.version}</td>
				<td>${state}</td>
			</tr>
		</c:forEach>
	</tbody>
</table>

<script type="text/javascript">
	    
	function asyncStartCall(id) {
		$.ajax({
			  async: false,
			  url: '/bridge/consoleServlet?command=startAsync&bundle=' + id,
			  success: function(data) {
			    $('.result').html(data);
			    location.reload();
			  }
			});
	}

	function asyncStopCall(id) {
		$.ajax({
			  async: false,
			  url: '/bridge/consoleServlet?command=stopAsync&bundle=' + id,
			  success: function(data) {
			    $('.result').html(data);
			    location.reload();
			  }
			});
	}
	
</script>